<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.env.input.mapper.TerminalMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.env.input.entity.Terminal">
        <id column="id" property="id" />
        <result column="device_code" property="deviceCode" />
        <result column="device_name" property="deviceName" />
        <result column="type" property="type" />
        <result column="status" property="status" />
        <result column="build_id" property="buildId" />
        <result column="floor_id" property="floorId" />
        <result column="gateway_id" property="gatewayId" />
        <result column="farm_id" property="farmId" />
        <result column="orders" property="orders" />
    </resultMap>

</mapper>
